<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>


2022 안드로이드 개발자 로드맵은 안드로이드 개발의 이해를 돕기 위한 학습 경로를 소개합니다. 로드맵 중간에 있는 선 경로를 따라서 로드맵을 읽으실 수 있습니다. <br>

각 노드는 안드로이드 시스템, 안드로이드 SDK, 그리고 일반적으로 현업에서 많이 사용되는 라이브러리들로 구성되어 있습니다. 각 용어는 [Android Developers Reference](https://developer.android.com/reference) 혹은 GitHub를 함께 참조하시면 이해하는 데 도움이 될 수 있습니다. <br>

아울러 로드맵은 안드로이드 개발에 관한 모든 것을 다루지 않으며, 로드맵의 내용 전부를 학습하실 필요도 없습니다. 따라서 학습이 필요한 부분만 참조하시는 것을 권장해 드립니다.

## Roadmap

![Roadmap](/images/android_developer_roadmap.png)

## Articles

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

2022년 안드로이드 개발자 로드맵은 최신 안드로이드 생태계를 종합적으로 이해할 수 있도록 디자인되었으며, 제안된 학습 경로를 따라 개념을 파악하는 데 도움이 됩니다.<br>

로드맵과 관련된 포스트는 총 5부로 구성되어 있으며, 2022년 안드로이드 개발자 로드맵에 따라 안드로이드 개발 생태계에 대한 내용을 학습하실 수 있습니다. 또한 안드로이드 커뮤니티에 대한 전체적인 시각과 개발자로서 어떻게 발전할 수 있는지 살펴볼 수 있습니다.

- **[The 2022 Android Developer Roadmap: Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[The 2022 Android Developer Roadmap: Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[The 2022 Android Developer Roadmap: Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**

추가적인 포스트는 **[Stream Blog](https://getstream.io/blog/topic/engineering/android/)** 에 지속적으로 업로드될 예정입니다. 또한, 다음 포스트에 대한 알림을 위해 이 리파지토리의 __[작성자](https://github.com/skydoves)__ 를 팔로우 하실 수도 있습니다.

## Demo Application

본 오픈소스 프로젝트는 로드맵 이미지를 보여주는 데모 앱을 포함하고 있습니다. [Releases](https://github.com/skydoves/android-developer-roadmap/releases) 에서 APK 파일을 다운로드하실 수 있습니다.

## Contribution

로드맵은 안드로이드 개발에 관한 모든 내용을 다루지 않기 때문에, 누락된 내용이 있거나 수정이 필요한 경우 누구나 [CONTRIBUTING](CONTRIBUTING.md) 가이드에 따라 프로젝트에 기여하실 수 있습니다.

## Inspiration

로드맵 프로젝트는 [Android Developer Roadmap 2020](https://github.com/mobile-roadmap/android-developer-roadmap) 에서 영감을 받았습니다. 아이디어를 주신 프로젝트의 저자분들께 감사의 말씀을 드리며, 해당 리파지토리에서도 많은 내용을 학습하실 수 있습니다.

## Find this project useful? :heart:

오픈소스 프로젝트가 많은 도움이 되었다면 __[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ 에 많은 참여 부탁드립니다. :star:

## License
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
